/******************************************************************************\
*                                  JZip                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   (C) Copyright 1999-2000 Cramon Utilities and Bytamin-C                     *
*                                                                              *
* WWW:                                                                         *
*   http://www.bytamin-c.com                                                   *
*                                                                              *
* DISCLAMER:                                                                   *
*   THE AUTHOR(S) MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY *
*   OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO   *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        *
*   PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR(S) SHALL NOT BE LIABLE FOR ANY    *
*   DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR            *
*   DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.                             *
*                                                                              *
* ---------------------------------------------------------------------------- *
* Last changed      Name                   Changes                             *
* 01/13-2000        Jeppe Cramon           Prepared for OpenSource release     *
\******************************************************************************/

//----------------------------------------------------------------------------
#ifndef ConfigurationUnitH
#define ConfigurationUnitH
//----------------------------------------------------------------------------
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include <StdCtrls.hpp>
#include <Controls.hpp>
#include <Forms.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <SysUtils.hpp>
#include <Windows.hpp>
#include <System.hpp>
//----------------------------------------------------------------------------
class TConfigForm : public TForm
{
__published:
	TPanel *Panel1;
	TPanel *Panel2;
	TPageControl *PageControl1;
    TTabSheet *ViewSheet;
    TTabSheet *ToolbarSheet;
    TTabSheet *SystemSheet;
	TButton *OKBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
    TGroupBox *GroupBox1;
    TCheckBox *FullRowCheckBox;
    TCheckBox *GridLinesCheckBox;
    TCheckBox *FlatScroolbarsCheckBox;
    TGroupBox *GroupBox2;
    TCheckBox *UseCurrentCheckBox;
    TRadioButton *SingleRadioButton;
    TRadioButton *DoubleRadioButton;
    TGroupBox *GroupBox3;
    TCheckBox *ShowButtonTextCheckBox;
    TCheckBox *ShowToolTipCheckBox;
    TCheckBox *FlatButtonsCheckBox;
    TGroupBox *GroupBox4;
    TCheckBox *AssociateCheckBox;
    TCheckBox *IncludeInStartMenuCheckBox;
    TCheckBox *IncludeOnDesktopCheckBox;
    TPanel *Panel;
    TRadioButton *NeverRadioButton;
    TRadioButton *UnderlineRadioButton;
    TRadioButton *AlwaysRadioButton;
    void __fastcall SingleRadioButtonClick(TObject *Sender);
private:
public:
	virtual __fastcall TConfigForm(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TConfigForm *ConfigForm;
//----------------------------------------------------------------------------
#endif
