/******************************************************************************\
*                                  JZip                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   (C) Copyright 1999-2000 Cramon Utilities and Bytamin-C                     *
*                                                                              *
* WWW:                                                                         *
*   http://www.bytamin-c.com                                                   *
*                                                                              *
* DISCLAMER:                                                                   *
*   THE AUTHOR(S) MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY *
*   OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO   *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        *
*   PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR(S) SHALL NOT BE LIABLE FOR ANY    *
*   DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR            *
*   DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.                             *
*                                                                              *
* ---------------------------------------------------------------------------- *
* Last changed      Name                   Changes                             *
* 01/13-2000        Jeppe Cramon           Prepared for OpenSource release     *
\******************************************************************************/

//---------------------------------------------------------------------------
#ifndef DragDropUnitH
#define DragDropUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TDragDropForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *FileLabel;
    TGroupBox *GroupBox1;
    TEdit *NameEdit;
    TBitBtn *NewBitBtn;
    TBitBtn *OpenBitBtn;
    TBitBtn *AddBitBtn;
    TBitBtn *CancelBitBtn;
    TLabel *Label3;
    TLabel *Label4;
    TComboBox *ActionComboBox;
    TComboBox *CompressionComboBox;
    TGroupBox *GroupBox2;
    TCheckBox *SubFldrCheckBox;
    TCheckBox *ExtraFldrCheckBox;
    TGroupBox *GroupBox3;
    TCheckBox *SysFilesCheckBox;
    TCheckBox *ForceDOSCheckBox;
    TBitBtn *PasswordBitBtn;
    TOpenDialog *OpenDialog;
    TOpenDialog *NewDialog;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall NewBitBtnClick(TObject *Sender);
    void __fastcall OpenBitBtnClick(TObject *Sender);
    void __fastcall PasswordBitBtnClick(TObject *Sender);
    void __fastcall NameEditChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TDragDropForm(TComponent* Owner);
    AnsiString Password;
};
//---------------------------------------------------------------------------
extern PACKAGE TDragDropForm *DragDropForm;
//---------------------------------------------------------------------------
#endif
