/******************************************************************************\
*                                  JZip                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   (C) Copyright 1999-2000 Cramon Utilities and Bytamin-C                     *
*                                                                              *
* WWW:                                                                         *
*   http://www.bytamin-c.com                                                   *
*                                                                              *
* DISCLAMER:                                                                   *
*   THE AUTHOR(S) MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY *
*   OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO   *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        *
*   PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR(S) SHALL NOT BE LIABLE FOR ANY    *
*   DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR            *
*   DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.                             *
*                                                                              *
* ---------------------------------------------------------------------------- *
* Last changed      Name                   Changes                             *
* 01/13-2000        Jeppe Cramon           Prepared for OpenSource release     *
\******************************************************************************/

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("JZip.res");
USERC("ZipMsgUS.rc");
USEFORM("MainUnit.cpp", MainForm);
USEFORM("AddUnit.cpp", AddForm);
USEFORM("PasswordUnit.cpp", PasswordForm);
USEFORM("ExtractUnit.cpp", ExtractForm);
USEFORM("NewFldrUnit.cpp", NewFolderForm);
USEFORM("InstallUnit.cpp", InstallForm);
USEFORM("CommentUnit.cpp", CommentForm);
USEFORM("TestUnit.cpp", TestForm);
USEFORM("AboutUnit.cpp", AboutBox);
USEFORM("EXEUnit.cpp", EXEForm);
USEFORM("ExtractPasswUnit.cpp", ExtractPasswForm);
USEFORM("ConfigurationUnit.cpp", ConfigForm);
USEFORM("DragDropUnit.cpp", DragDropForm);
USEFORM("OverwriteUnit.cpp", OverwriteForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->Title = "JZip";
        Application->CreateForm(__classid(TMainForm), &MainForm);
        Application->CreateForm(__classid(TAddForm), &AddForm);
        Application->CreateForm(__classid(TPasswordForm), &PasswordForm);
        Application->CreateForm(__classid(TExtractForm), &ExtractForm);
        Application->CreateForm(__classid(TNewFolderForm), &NewFolderForm);
        Application->CreateForm(__classid(TInstallForm), &InstallForm);
        Application->CreateForm(__classid(TCommentForm), &CommentForm);
        Application->CreateForm(__classid(TTestForm), &TestForm);
        Application->CreateForm(__classid(TAboutBox), &AboutBox);
        Application->CreateForm(__classid(TEXEForm), &EXEForm);
        Application->CreateForm(__classid(TExtractPasswForm), &ExtractPasswForm);
        Application->CreateForm(__classid(TConfigForm), &ConfigForm);
        Application->CreateForm(__classid(TDragDropForm), &DragDropForm);
        Application->CreateForm(__classid(TOverwriteForm), &OverwriteForm);
        Application->Run();
    }
    catch (Exception &exception)
    {
        Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
