/******************************************************************************\
*                                  JZip                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   (C) Copyright 1999-2000 Cramon Utilities and Bytamin-C                     *
*                                                                              *
* WWW:                                                                         *
*   http://www.bytamin-c.com                                                   *
*                                                                              *
* DISCLAMER:                                                                   *
*   THE AUTHOR(S) MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY *
*   OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO   *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        *
*   PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR(S) SHALL NOT BE LIABLE FOR ANY    *
*   DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR            *
*   DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.                             *
*                                                                              *
* ---------------------------------------------------------------------------- *
* Last changed      Name                   Changes                             *
* 01/13-2000        Jeppe Cramon           Prepared for OpenSource release     *
\******************************************************************************/

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "PasswordUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "HintBox"
#pragma resource "*.dfm"
TPasswordForm *PasswordForm;
//---------------------------------------------------------------------------
__fastcall TPasswordForm::TPasswordForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TPasswordForm::FormShow(TObject *Sender)
{
    Password1Edit->Text = "";
    Password2Edit->Text = "";
    MayClose = false;
}
//---------------------------------------------------------------------------
void __fastcall TPasswordForm::BitBtn1Click(TObject *Sender)
{
    if (Password1Edit->Text != Password2Edit->Text)
    {
        Application->MessageBox("The new and confirmed password do not match. Please type them again!",
                                "Password Error", MB_OK | MB_ICONERROR);
        Password1Edit->Text = "";
        Password2Edit->Text = "";
        Password1Edit->SetFocus();
    }
    else
        MayClose = true;
}
//---------------------------------------------------------------------------
void __fastcall TPasswordForm::BitBtn2Click(TObject *Sender)
{
    MayClose = true;
}
//---------------------------------------------------------------------------
void __fastcall TPasswordForm::FormCloseQuery(TObject *Sender,
      bool &CanClose)
{
    CanClose = MayClose;
}
//---------------------------------------------------------------------------
