/******************************************************************************\
*                                  JZip                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   (C) Copyright 1999-2000 Cramon Utilities and Bytamin-C                     *
*                                                                              *
* WWW:                                                                         *
*   http://www.bytamin-c.com                                                   *
*                                                                              *
* DISCLAMER:                                                                   *
*   THE AUTHOR(S) MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY *
*   OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO   *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        *
*   PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR(S) SHALL NOT BE LIABLE FOR ANY    *
*   DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR            *
*   DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.                             *
*                                                                              *
* ---------------------------------------------------------------------------- *
* Last changed      Name                   Changes                             *
* 01/13-2000        Jeppe Cramon           Prepared for OpenSource release     *
\******************************************************************************/

//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "DragDropUnit.h"
#include "PasswordUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TDragDropForm *DragDropForm;
//---------------------------------------------------------------------------
__fastcall TDragDropForm::TDragDropForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TDragDropForm::FormShow(TObject *Sender)
{
    Password = "";
    SetFocus();
    NameEdit->SetFocus();
}
//---------------------------------------------------------------------------
void __fastcall TDragDropForm::NewBitBtnClick(TObject *Sender)
{
    if (NewDialog->Execute())
    {
        NameEdit->Text = NewDialog->FileName;
        AddBitBtn->Enabled = true;
    }
}
//---------------------------------------------------------------------------
void __fastcall TDragDropForm::OpenBitBtnClick(TObject *Sender)
{
    if (OpenDialog->Execute())
    {
        NameEdit->Text = OpenDialog->FileName;
        AddBitBtn->Enabled = true;
    }
}
//---------------------------------------------------------------------------
void __fastcall TDragDropForm::PasswordBitBtnClick(TObject *Sender)
{
    PasswordForm->Password1Edit->Text = "";
    PasswordForm->Password2Edit->Text = "";
     PasswordForm->ShowModal();
    if (PasswordForm->ModalResult == mrOk)
        Password = PasswordForm->Password1Edit->Text;
}
//---------------------------------------------------------------------------
void __fastcall TDragDropForm::NameEditChange(TObject *Sender)
{
    AddBitBtn->Enabled = true;
}
//---------------------------------------------------------------------------
