/******************************************************************************\
*                                  JZip                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   (C) Copyright 1999-2000 Cramon Utilities and Bytamin-C                     *
*                                                                              *
* WWW:                                                                         *
*   http://www.bytamin-c.com                                                   *
*                                                                              *
* DISCLAMER:                                                                   *
*   THE AUTHOR(S) MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY *
*   OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO   *
*   THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        *
*   PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR(S) SHALL NOT BE LIABLE FOR ANY    *
*   DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR            *
*   DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.                             *
*                                                                              *
* ---------------------------------------------------------------------------- *
* Last changed      Name                   Changes                             *
* 01/13-2000        Jeppe Cramon           Prepared for OpenSource release     *
\******************************************************************************/

//---------------------------------------------------------------------------
#ifndef ExtractUnitH
#define ExtractUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "SystemControlPack.hpp"
#include "SystemTreeView.hpp"
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TExtractForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TComboBox *ExtractToComboBox;
    TSpeedButton *SpeedButton1;
    TRadioGroup *RadioGroup1;
    TRadioButton *SelRadioButton;
    TRadioButton *AllRadioButton;
    TRadioButton *FilesRadioButton;
    TEdit *FilesEdit;
    TLabel *Label2;
    TdfsSystemTreeView *SystemTreeView;
    TBitBtn *ExtractBitBtn;
    TBitBtn *CancelBitBtn;
    TBitBtn *NewBitBtn;
    TCheckBox *OverwriteCheckBox;
    TCheckBox *SkipOlderCheckBox;
    TCheckBox *UserFolderNamesCheckBox;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall SystemTreeViewChange(TObject *Sender,
          TTreeNode *Node);
    void __fastcall ExtractToComboBoxChange(TObject *Sender);
    void __fastcall SpeedButton1Click(TObject *Sender);
    void __fastcall NewBitBtnClick(TObject *Sender);
    void __fastcall ExtractBitBtnClick(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TExtractForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TExtractForm *ExtractForm;
//---------------------------------------------------------------------------
#endif
